/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package nl.amis.jfall2009.enums;

/**
 *
 * @author wouter
 */
public enum ConstellationEnum {

    AND((byte)1, "Andromeda", "And"), ANT((byte)2, "Antlia", "Ant"), APS((byte)3, "Apus", "Aps"), AQR((byte)4, "Aquarius", "Aqr"), AQL((byte)5, "Aquila", "Aql"),
    ARA((byte)6, "Ara", "Ara"), ARI((byte)7, "Aries", "Ari"), AUR((byte)8, "Auriga", "Aur"), BOO((byte)9, "Bootes", "Boo"),CAE((byte)10, "Caelum", "Cae"),
    CAM((byte)11, "Camelopardalis", "Cam"), CNC((byte)12, "Cancer", "Cnc"), CVN((byte)13, "Canes Venatici", "CVn"), CMA((byte)14, "Canis Major", "CMa"), CMI((byte)15, "Canis Minor", "CMi"),
    CAP((byte)16, "Capricornus", "Cap"), CAR((byte)17, "Carina", "Car"), CAS((byte)18, "Cassiopeia", "Cas"), CEN((byte)19, "Centaurus", "Cen"), CEP((byte)20, "Cepheus", "Cep"),
    CET((byte)21, "Cetus", "Cet"), CHA((byte)22, "Chameleon", "Cha"), CIR((byte)23, "Circinus", "Cir"), COL((byte)24, "Columba", "Col"), COM((byte)25, "Coma Berenices", "Com"),
    CRA((byte)26, "Corona Austrina", "CrA"), CRB((byte)27, "Corona Borealis", "CrB"), CRV((byte)28, "Corvus", "Crv"), CRT((byte)29, "Crater", "Crt"), CRU((byte)30, "Crux", "Cru"),
    CYG((byte)31, "Cygnus", "Cyg"), DEL((byte)32, "Delphinus", "Del"), DOR((byte)33, "Dorado", "Dor"), DRA((byte)34, "Draco", "Dra"), EQU((byte)35, "Equuleus", "Equ"),
    ERI((byte)36, "Eridanus", "Eri"), FOR((byte)37, "Fornax", "For"), GEM((byte)38, "Gemini", "Gem"), GRU((byte)39, "Grus", "Gru"), HER((byte)40, "Hercules", "Her"),
    HOR((byte)41, "Horlogium", "Hor"), HYA((byte)42, "Hydra", "Hya"), HYI((byte)43, "Hydrus", "Hyi"), IND((byte)44, "Indus", "Ind"), LAC((byte)45, "Lacerta", "Lac"),
    LEO((byte)46, "Leo", "Leo"), LMI((byte)47, "Leo Minor", "LMi"), LEP((byte)48, "Lepus", "Lep"), LIB((byte)49, "Libra", "Lib"), LUP((byte)50, "Lupus", "Lup"),
    LYN((byte)51, "Lynx", "Lyn"), LYR((byte)52, "Lyra", "Lyr"), MEN((byte)53, "Mensa", "Men"), MIC((byte)54, "Microscopium", "Mic"), MON((byte)55, "Monoceros", "Mon"),
    MUS((byte)56, "Musca", "Mus"), NOR((byte)57, "Norma", "Nor"), OCT((byte)58, "Octans", "Oct"), OPH((byte)59, "Ophiuchus", "Oph"), ORI((byte)60, "Orion", "Ori"),
    PAV((byte)61, "Pavo", "Pav"), PEG((byte)62, "Pegasus", "Peg"), PER((byte)63, "Perseus", "Per"), PHE((byte)64, "Phoenix", "Phe"), PIC((byte)65, "Pictor", "Pic"),
    PSC((byte)66, "Pisces", "Psc"), PSA((byte)67, "Piscis Austrinus", "PsA"), PUP((byte)68, "Puppis", "Pup"), PYX((byte)69, "Pyxis", "Pyx"), RET((byte)70, "Reticulum", "Ret"),
    SGE((byte)71, "Sagitta", "Sge"), SGR((byte)72, "Sagittatius", "Sgr"), SCO((byte)73, "Scorpius", "Sco"), SCL((byte)74, "Sculptor", "Scl"), SCT((byte)75, "Scutum", "Sct"),
    SER((byte)76, "Serpens", "Ser"),SEX((byte)77, "Sextans", "Sex"), TAU((byte)78, "Taurus", "Tau"), TEL((byte)79, "Telescopium", "Tel"), TRI((byte)80, "Triangulum", "Tri"),
    TRA((byte)81, "Triangulum Australe", "TrA"), TUC((byte)82, "Tucana", "Tuc"), UMA((byte)83, "Ursa Major", "UMa"), UMI((byte)84, "Ursa Minor", "UMi"), VEL((byte)85, "Vela", "Vel"),
    VIR((byte)86, "Virgo", "Vir"), VOL((byte)87, "Volans", "Vol"), VUL((byte)88, "Vulpecula", "Vul");


    private ConstellationEnum(Byte id, String name, String abbreviation) {
        this.id = id;
        this.name = name;
        this.abbreviation = abbreviation;
    }
    private final Byte id;
    private final String name;
    private final String abbreviation;

    /**
     * @return the id
     */
    public Byte getId() {
        return id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @return the abbreviation
     */
    public String getAbbreviation() {
        return abbreviation;
    }
}