/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package nl.amis.jfall2009.enums;

/**
 *
 * @author wouter
 */
public enum DeepSkyTypeEnum {

    ASTER((byte)1, "Asterism", "ASTER"),
    BRTNB((byte)2, "Bright Nebula", "BRTNB"),
    CL_NB((byte)3, "Cluster with Nebulosity", "CL+NB"),
    DRKNB((byte)4, "Dark Nebula", "DRKNB"),
    GALCL((byte)5, "Galaxy cluster", "GALCL"),
    GALXY((byte)6, "Galaxy", "GALXY"),
    GLOCL((byte)7, "Globular Cluster", "GLOCL"),
    GX_DN((byte)8, "Diffuse Nebula in a Galaxy", "GX+DN"),
    GX_GC((byte)9, "Globular Cluster in a Galaxy", "GX+GC"),
    G_C_N((byte)10, "Cluster with Nebulosity in a Galaxy", "G+C+N"),
    LMCCN((byte)11, "Cluster with Nebulosity in the LMC", "LMCCN"),
    LMCDN((byte)12, "Diffuse Nebula in the LMC", "LMCDN"),
    LMCGC((byte)13, "Globular Cluster in the LMC", "LMCGC"),
    LMCOC((byte)14, "Open cluster in the LMC", "LMCOC"),
    NONEX((byte)15, "Nonexistent", "NONEX"),
    OPNCL((byte)16, "Open Cluster", "OPNCL"),
    PLNNB((byte)17, "Planetary Nebula", "PLNNB"),
    SMCCN((byte)18, "Cluster with Nebulosity in the SMC", "SMCCN"),
    SMCDN((byte)19, "Diffuse Nebula in the SMC", "SMCDN"),
    SMCGC((byte)20, "Globular Cluster in the SMC", "SMCGC"),
    SMCOC((byte)21, "Open cluster in the SMC", "SMCOC"),
    SNREM((byte)22, "Supernova Remnant", "SNREM"),
    QUASR((byte)23, "Quasar", "QUASR"),
    NSTAR((byte)24,"# Stars (#=1, 2, 3, 4, 5, etc.)","#STAR");


    private DeepSkyTypeEnum(Byte id, String name, String abbreviation) {
        this.id = id;
        this.name = name;
        this.abbreviation = abbreviation;
    }
    private final Byte id;
    private final String name;
    private final String abbreviation;

    /**
     * @return the id
     */
    public Byte getId() {
        return id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @return the abbreviation
     */
    public String getAbbreviation() {
        return abbreviation;
    }
}